libgtksourceviewmm: gtksourceview::SourceMark Class Reference

# gtksourceview::SourceMark Class Reference

`#include <sourcemark.h>`

List of all members.

## Public Types
typedef SourceMark | CppObjectType
typedef SourceMark_Class | CppClassType
typedef GtkSourceMark | BaseObjectType
typedef GtkSourceMarkClass | BaseClassType
## Public Member Functions
virtual | ~SourceMark ()
GtkSourceMark * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceMark * | gobj () const
| Provides access to the underlying C GObject.
GtkSourceMark * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_category () const
Glib::RefPtr< SourceMark > | next (const Glib::ustring &category)
Glib::RefPtr< const SourceMark > | next (const Glib::ustring &category) const
Glib::RefPtr< SourceMark > | next ()
Glib::RefPtr< const SourceMark > | next () const
Glib::RefPtr< SourceMark > | prev (const Glib::ustring &category)
Glib::RefPtr< const SourceMark > | prev (const Glib::ustring &category) const
Glib::RefPtr< SourceMark > | prev ()
Glib::RefPtr< const SourceMark > | prev () const
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
static Glib::RefPtr< SourceMark > | create (const Glib::ustring &category)
## Protected Member Functions
| SourceMark (const Glib::ConstructParams &construct_params)
| SourceMark (GtkSourceMark *castitem)
| SourceMark ()
| SourceMark (const Glib::ustring &category)
## Friends
class | SourceMark_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceMark > | wrap (GtkSourceMark *object, bool take_copy=false)

## Member Typedef Documentation

typedef SourceMark gtksourceview::SourceMark::CppObjectType

typedef SourceMark_Class gtksourceview::SourceMark::CppClassType

typedef GtkSourceMark gtksourceview::SourceMark::BaseObjectType

typedef GtkSourceMarkClass gtksourceview::SourceMark::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceMark::SourceMark | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

gtksourceview::SourceMark::SourceMark | ( | GtkSourceMark * | castitem | ) | `[explicit, protected]`

virtual gtksourceview::SourceMark::~SourceMark | ( |  | ) | `[virtual]`

gtksourceview::SourceMark::SourceMark | ( |  | ) | `[protected]`

gtksourceview::SourceMark::SourceMark | ( | const Glib::ustring & | category | ) | `[explicit, protected]`

## Member Function Documentation

static GType gtksourceview::SourceMark::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceMark::get_base_type | ( |  | ) | `[static]`

GtkSourceMark* gtksourceview::SourceMark::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceMark* gtksourceview::SourceMark::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GtkSourceMark* gtksourceview::SourceMark::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<SourceMark> gtksourceview::SourceMark::create | ( | const Glib::ustring & | category | ) | `[static]`

Glib::ustring gtksourceview::SourceMark::get_category | ( |  | ) | const

Returns: the category of the Gtk::SourceMark

Returns:
  The category of the Gtk::SourceMark

.

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::next | ( | const Glib::ustring & | category | ) |

Returns: the next Gtk::SourceMark or `0`

Parameters:

  | category | A string specifying the mark category or `0`.

Returns:
  The next Gtk::SourceMark or `0`

.

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::next | ( | const Glib::ustring & | category | ) | const

Returns: the next Gtk::SourceMark or `0`

Parameters:

  | category | A string specifying the mark category or `0`.

Returns:
  The next Gtk::SourceMark or `0`

.

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::next | ( |  | ) |

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::next | ( |  | ) | const

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::prev | ( | const Glib::ustring & | category | ) |

Returns: the previous Gtk::SourceMark or `0`

Parameters:

  | category | A string specifying the mark category or `0`.

Returns:
  The previous Gtk::SourceMark or `0`

.

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::prev | ( | const Glib::ustring & | category | ) | const

Returns: the previous Gtk::SourceMark or `0`

Parameters:

  | category | A string specifying the mark category or `0`.

Returns:
  The previous Gtk::SourceMark or `0`

.

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::prev | ( |  | ) |

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::prev | ( |  | ) | const

## Friends And Related Function Documentation

friend class SourceMark_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceMark > wrap | ( | GtkSourceMark * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcemark.h